FreeBSD : Botan BER Decoder vulnerabilities (2004616d-f66c-11e5-b94c-001999f8d30b)

High Nessus Plugin ID 90286


The remote FreeBSD host is missing a security-related update.


The botan developers reports :

Excess memory allocation in BER decoder - The BER decoder would allocate a fairly arbitrary amount of memory in a length field, even if there was no chance the read request would succeed. This might cause the process to run out of memory or invoke the OOM killer.

Crash in BER decoder - The BER decoder would crash due to reading from offset 0 of an empty vector if it encountered a BIT STRING which did not contain any data at all. This can be used to easily crash applications reading untrusted ASN.1 data, but does not seem exploitable for code execution.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 90286

File Name: freebsd_pkg_2004616df66c11e5b94c001999f8d30b.nasl

Version: $Revision: 2.4 $

Type: local

Published: 2016/04/01

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:botan110, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2016/03/31

Vulnerability Publication Date: 2015/08/03

Reference Information

CVE: CVE-2015-5726, CVE-2015-5727